using System;

namespace AuthClient
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		static void Main(string[] args)
		{
            try
            {
                // Create the proxy
                localhost.Service1 wsLogin = new localhost.Service1();

                // Retrieve the session token
                string strSessionToken = wsLogin.Login("kenn","kenn");

                // (Debugging note to the screen...)
                Console.WriteLine("The session token was {0}",strSessionToken);

                // Call the *real* Web Service with the
                // session token we just retrieved...
                localhost1.Service1 wsSecured = new localhost1.Service1();
                string strServerTime = wsSecured.GetServerTime(strSessionToken);
                Console.WriteLine("The server time was {0}",strServerTime);
            }
            catch (Exception ex)
            {
                Console.WriteLine("Error while processing, '{0}'",ex.Message);
            }

            // Delay so we can read the results
            Console.Write("(Press <enter> key to exit...)");
            Console.ReadLine();
		}
	}
}
