using System;
using CSAsyncClient.localhost;

namespace CSAsyncClient
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		static void Main(string[] args)
		{
			// Beginning test
			Console.WriteLine("(main) Beginning asynchronous communications test...");

			// Create instance of proxy
			Service1 objHelloSvc = new Service1();

			// Make asynchronous call
			objHelloSvc.BeginHelloWorld(new AsyncCallback(Handler), objHelloSvc);

			// Simulate work...we'll wait for the user
			// to press the <enter> key
			Console.ReadLine();

			// Provide a response
			Console.WriteLine("(main) The main subroutine is now terminating...");
		}

		static void Handler(IAsyncResult iar)
		{
			// Retrieve the returned string
			string str = ((Service1)iar.AsyncState).EndHelloWorld(iar);

			// Notify user
			Console.WriteLine("(web service) Web Service returned '{0}'",str);
		}
	}
}
