using System;

namespace AbstractClassExample
{	
	abstract class MyAbstract
	{
		int x;

		virtual public void Method1()
		{
			Console.WriteLine("MyAbstract::Method1");
		}

		abstract public void Method2();
	}

	class MyClass : MyAbstract
	{
		public void Method1()
		{
			Console.WriteLine("MyClass::Method1");
		}

		override public void Method2()
		{
			Console.WriteLine("MyClass::Method2");
		}
	}

	class Example
	{
		static void Main(string[] args)
		{
			MyClass m = new MyClass();
			// MyAbstract c = new MyAbstract(); // Illegal
			MyAbstract c = m;

			m.Method1();
			m.Method2();

			c.Method1();
			c.Method2();
		}
	}
}
