using System;

namespace ClassApplication
{
	class MyClass
	{
		// fields
		public int x;				// object level
		public static int y = 5;	// class level

		// properties
		private int t;
		public int T
		{
			get
			{
				return t;
			}
			set
			{
				t = value * 2;		// uses the implicit *value* parameter
			}
		}

		// methods
		public MyClass()			// Constructor
		{
			Console.WriteLine("Calling Constructor");
		}	
		
		public void Method1()
		{
			Console.WriteLine("Calling Method1");
		}
	}

	class ClassExample
	{
		static void Main(string[] args)
		{
			MyClass mc = new MyClass();
			mc.Method1();

			mc.x = 4;
			mc.T = 6;

			Console.WriteLine("x={0}, y={1}, t={2}", mc.x, MyClass.y, mc.T);
		}
	}
}
