using System;

namespace ConsoleApplication4
{

	interface IMovieCharacter
	{
		void Talk();

		int A
		{
			get;
			set;
		}
	}

	class Arnold : IMovieCharacter
	{
		public void Talk()
		{
			Console.WriteLine("I'll be back.");
		}

		public int A
		{
			get
			{
			}
			set
			{
			}
		}
	}

	class Gump : IMovieCharacter
	{
		public void Talk()
		{
			Console.WriteLine("That's my Jenny.");
		}
	}

	class InterfaceTest
	{
		static void Main(string[] args)
		{
			Arnold arnold = new Arnold();
			Gump gump = new Gump();

			IMovieCharacter character;

			character.Talk();

			character = arnold;
			Console.Write("{0}: ", character.GetType().Name);
			character.Talk();

			character = gump;
			Console.Write("{0}: ", character.GetType().Name);
			character.Talk();
		}
	}
}
