using System;
using System.Reflection;

namespace ReflectionApplication
{
	public class MyReflectableClass
	{
		public int a;
		public string s;

		public void Method1()
		{
			Console.WriteLine("MyReflectableClass::Method1");
		}
	}

	class MyMain
	{
		static void Main(string[] args)
		{
			Type t = Type.GetType("ReflectionApplication.MyReflectableClass");

			// Display all fields
			FieldInfo[] fi = t.GetFields();
			for (int i=0; i < fi.Length; i++)
			{
				Console.WriteLine("{0} {1};", fi[i].FieldType.Name, fi[i].Name);
			}

			Console.WriteLine();
			
			// Display all public methods
			MethodInfo[] mi = t.GetMethods();
			for (int i=0; i < mi.Length; i++)
			{
				Console.WriteLine("{0} {1}();", mi[i].ReturnType.Name, mi[i].Name);
			}
		}
	}
}
