using System;
using System.IO;
using System.Net;
using System.Text;

namespace SystemNetExample
{
    class MyMain
	{
		static void Main(string[] args)
		{
			// WebClient example
			WebClient wc = new WebClient();
			wc.DownloadFile("http://localhost/default.html", "c:\\mycopy.html");

			// WebRequest and WebResponse example
			WebRequest req = HttpWebRequest.Create("http://localhost/default.html");

			// Read up to 500 bytes off of the response stream
			WebResponse resp = req.GetResponse();
			Stream str = resp.GetResponseStream();
			byte[] buffer = new byte[500];
			str.Read(buffer, 0, 500);
			resp.Close();

			// Convert from byte array to char array
			ASCIIEncoding ae = new ASCIIEncoding();
			char[] ca = ae.GetChars(buffer);

			// Display characters
			Console.WriteLine(ca);
		}
	}
}
