using System;
using System.Collections;
using System.ComponentModel;
using System.Web;
using System.Web.SessionState;
using System.Data;
using System.Data.OleDb;

namespace AppState 
{
	/// <summary>
	/// Summary description for Global.
	/// </summary>
	public class Global : System.Web.HttpApplication
	{
		protected void Application_Start(Object sender, EventArgs e)
		{
			// Create a new (empty) dataset
			DataSet ds = new DataSet();

			// Pull the connection string
			string strConn = System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"];

			// Create the search string
			string strSQL = string.Format("SELECT * FROM AppState");

			// Create the connection, command,
			// and adapter objects
			OleDbConnection objConn = new OleDbConnection(strConn);
			OleDbCommand objCmd = new OleDbCommand(strSQL,objConn);
			OleDbDataAdapter objAdapter = new OleDbDataAdapter(objCmd);

			// Connect to the database and execute SQL query
			objConn.Open();

			// Fill DataSet with the results, if any
			objAdapter.Fill(ds,"AppState");

			// Check for data...we'll look at the id column...
			Application["Hits"] = ds.Tables[0].Rows[0][1].ToString();
		}
 
		protected void Session_Start(Object sender, EventArgs e)
		{

		}

		protected void Application_BeginRequest(Object sender, EventArgs e)
		{

		}

		protected void Application_EndRequest(Object sender, EventArgs e)
		{

		}

		protected void Session_End(Object sender, EventArgs e)
		{

		}

		protected void Application_End(Object sender, EventArgs e)
		{
			// Create a new (empty) dataset
			DataSet ds = new DataSet();

			// Check for data...we'll look at the id column...
			ds.Tables[0].Rows[0][0] = 1;
			ds.Tables[0].Rows[0][1] = (int)Application["Hits"];

			// Pull the connection string
			string strConn = System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"];

			// Create the search string
			string strSQL = string.Format("SELECT * FROM AppState");

			// Create the connection, command,
			// and adapter objects
			OleDbConnection objConn = new OleDbConnection(strConn);
			OleDbCommand objCmd = new OleDbCommand(strSQL,objConn);
			OleDbDataAdapter objAdapter = new OleDbDataAdapter(objCmd);

			// Connect to the database and execute SQL query
			objConn.Open();

			// Update the database
			OleDbCommandBuilder objCmdBlder = new OleDbCommandBuilder(objAdapter);
			objAdapter.Update(ds,"AppState");
		}
	}
}

