Imports System
Imports B2VBAsyncClient.localhost

Public Class B2VBAsyncClient

    Public Shared Sub Main()
        ' Beginning test
        Console.WriteLine("Beginning asynchronous communications test...")

        ' Create instance of proxy
        Dim objHelloSvc As Service1 = New Service1()

        ' Make asynchronous call
        Dim iar As IAsyncResult
        iar = objHelloSvc.BeginHelloWorld(New AsyncCallback(AddressOf B2VBAsyncClient.Handler), objHelloSvc)

        ' Simulate work...we'll wait for the Web Service to return
        While (False = iar.IsCompleted)
            ' Print something to show we're working...
            Console.WriteLine("Still sleeping..." & DateTime.Now)

            ' Update iar...
            Console.WriteLine(objHelloSvc.EndHelloWorld(iar))
        End While

        ' Provide a response
        Console.WriteLine("The main subroutine is now terminating...")
    End Sub

    Public Shared Sub Handler(ByVal iar As IAsyncResult)
        ' Retrieve the result string
        Dim objHelloSvc As Service1 = iar.AsyncState

        'Dim strResult As String = objHelloSvc.EndHelloWorld(iar)
        'Console.WriteLine("The Web Service returned {0}", strResult)
    End Sub

End Class


