using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Calculator.com.securedomains.dotnet;

namespace Calculator
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private long m_lAccumulator;
		private string m_strX;
		private string m_strY;
		private long m_lMem;
		private enum eAction { None = 0, Add, Sub, Mul, Div };
		private enum eState { ArgX = 0, ArgY };
		private bool m_bRegValid;
		private bool m_bLocal;
		private eAction m_eAction;
		private eState m_eState;
		private SimpleCalc m_pxyCalc;
		private System.Windows.Forms.TextBox txtDisplay;
		private System.Windows.Forms.Button cmdMPlus;
		private System.Windows.Forms.Button cmdMClr;
		private System.Windows.Forms.Button cmdMRecall;
		private System.Windows.Forms.Button cmdSeven;
		private System.Windows.Forms.Button cmdEight;
		private System.Windows.Forms.Button cmdNine;
		private System.Windows.Forms.Button cmdFour;
		private System.Windows.Forms.Button cmdFive;
		private System.Windows.Forms.Button cmdSix;
		private System.Windows.Forms.Button cmdOne;
		private System.Windows.Forms.Button cmdTwo;
		private System.Windows.Forms.Button cmdThree;
		private System.Windows.Forms.Button cmdZero;
		private System.Windows.Forms.Button cmdNegate;
		private System.Windows.Forms.Button cmdDivide;
		private System.Windows.Forms.Button cmdMultiply;
		private System.Windows.Forms.Button cmdSubtract;
		private System.Windows.Forms.Button cmdAdd;
		private System.Windows.Forms.Button cmdExecute;
		private System.Windows.Forms.Button cmdClear;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem mnuExit;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem mnuLocal;
		private System.Windows.Forms.MenuItem mnuRemote;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			Clear();
			m_lMem = 0;
			m_bLocal = true;
			m_pxyCalc = null;
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.cmdExecute = new System.Windows.Forms.Button();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.mnuExit = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.mnuLocal = new System.Windows.Forms.MenuItem();
			this.mnuRemote = new System.Windows.Forms.MenuItem();
			this.cmdAdd = new System.Windows.Forms.Button();
			this.cmdTwo = new System.Windows.Forms.Button();
			this.cmdMClr = new System.Windows.Forms.Button();
			this.cmdEight = new System.Windows.Forms.Button();
			this.cmdNegate = new System.Windows.Forms.Button();
			this.cmdSix = new System.Windows.Forms.Button();
			this.cmdOne = new System.Windows.Forms.Button();
			this.cmdNine = new System.Windows.Forms.Button();
			this.cmdMRecall = new System.Windows.Forms.Button();
			this.cmdFour = new System.Windows.Forms.Button();
			this.cmdThree = new System.Windows.Forms.Button();
			this.cmdClear = new System.Windows.Forms.Button();
			this.cmdSubtract = new System.Windows.Forms.Button();
			this.cmdMultiply = new System.Windows.Forms.Button();
			this.cmdZero = new System.Windows.Forms.Button();
			this.txtDisplay = new System.Windows.Forms.TextBox();
			this.cmdSeven = new System.Windows.Forms.Button();
			this.cmdFive = new System.Windows.Forms.Button();
			this.cmdMPlus = new System.Windows.Forms.Button();
			this.cmdDivide = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// cmdExecute
			// 
			this.cmdExecute.Location = new System.Drawing.Point(200, 160);
			this.cmdExecute.Name = "cmdExecute";
			this.cmdExecute.Size = new System.Drawing.Size(40, 32);
			this.cmdExecute.TabIndex = 23;
			this.cmdExecute.Text = "=";
			this.cmdExecute.Click += new System.EventHandler(this.cmdExecute_Click);
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1,
																					  this.menuItem2});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.mnuExit});
			this.menuItem1.Text = "File";
			// 
			// mnuExit
			// 
			this.mnuExit.Index = 0;
			this.mnuExit.Text = "Exit";
			this.mnuExit.Click += new System.EventHandler(this.mnuExit_Click);
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 1;
			this.menuItem2.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem3});
			this.menuItem2.Text = "Options";
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 0;
			this.menuItem3.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.mnuLocal,
																					  this.mnuRemote});
			this.menuItem3.Text = "Server";
			// 
			// mnuLocal
			// 
			this.mnuLocal.Checked = true;
			this.mnuLocal.Index = 0;
			this.mnuLocal.RadioCheck = true;
			this.mnuLocal.Text = "Local";
			this.mnuLocal.Click += new System.EventHandler(this.mnuLocal_Click);
			// 
			// mnuRemote
			// 
			this.mnuRemote.Index = 1;
			this.mnuRemote.RadioCheck = true;
			this.mnuRemote.Text = "Remote";
			this.mnuRemote.Click += new System.EventHandler(this.mnuRemote_Click);
			// 
			// cmdAdd
			// 
			this.cmdAdd.Location = new System.Drawing.Point(152, 160);
			this.cmdAdd.Name = "cmdAdd";
			this.cmdAdd.Size = new System.Drawing.Size(40, 32);
			this.cmdAdd.TabIndex = 22;
			this.cmdAdd.Text = "+";
			this.cmdAdd.Click += new System.EventHandler(this.cmdAdd_Click);
			// 
			// cmdTwo
			// 
			this.cmdTwo.Location = new System.Drawing.Point(56, 120);
			this.cmdTwo.Name = "cmdTwo";
			this.cmdTwo.Size = new System.Drawing.Size(40, 32);
			this.cmdTwo.TabIndex = 14;
			this.cmdTwo.Text = "2";
			this.cmdTwo.Click += new System.EventHandler(this.cmdTwo_Click);
			// 
			// cmdMClr
			// 
			this.cmdMClr.Location = new System.Drawing.Point(200, 80);
			this.cmdMClr.Name = "cmdMClr";
			this.cmdMClr.Size = new System.Drawing.Size(40, 32);
			this.cmdMClr.TabIndex = 2;
			this.cmdMClr.Text = "MC";
			this.cmdMClr.Click += new System.EventHandler(this.cmdMClr_Click);
			// 
			// cmdEight
			// 
			this.cmdEight.Location = new System.Drawing.Point(56, 40);
			this.cmdEight.Name = "cmdEight";
			this.cmdEight.Size = new System.Drawing.Size(40, 32);
			this.cmdEight.TabIndex = 8;
			this.cmdEight.Text = "8";
			this.cmdEight.Click += new System.EventHandler(this.cmdEight_Click);
			// 
			// cmdNegate
			// 
			this.cmdNegate.Location = new System.Drawing.Point(104, 160);
			this.cmdNegate.Name = "cmdNegate";
			this.cmdNegate.Size = new System.Drawing.Size(40, 32);
			this.cmdNegate.TabIndex = 18;
			this.cmdNegate.Text = "+/-";
			this.cmdNegate.Click += new System.EventHandler(this.cmdNegate_Click);
			// 
			// cmdSix
			// 
			this.cmdSix.Location = new System.Drawing.Point(104, 80);
			this.cmdSix.Name = "cmdSix";
			this.cmdSix.Size = new System.Drawing.Size(40, 32);
			this.cmdSix.TabIndex = 12;
			this.cmdSix.Text = "6";
			this.cmdSix.Click += new System.EventHandler(this.cmdSix_Click);
			// 
			// cmdOne
			// 
			this.cmdOne.Location = new System.Drawing.Point(8, 120);
			this.cmdOne.Name = "cmdOne";
			this.cmdOne.Size = new System.Drawing.Size(40, 32);
			this.cmdOne.TabIndex = 13;
			this.cmdOne.Text = "1";
			this.cmdOne.Click += new System.EventHandler(this.cmdOne_Click);
			// 
			// cmdNine
			// 
			this.cmdNine.Location = new System.Drawing.Point(104, 40);
			this.cmdNine.Name = "cmdNine";
			this.cmdNine.Size = new System.Drawing.Size(40, 32);
			this.cmdNine.TabIndex = 9;
			this.cmdNine.Text = "9";
			this.cmdNine.Click += new System.EventHandler(this.cmdNine_Click);
			// 
			// cmdMRecall
			// 
			this.cmdMRecall.Location = new System.Drawing.Point(200, 120);
			this.cmdMRecall.Name = "cmdMRecall";
			this.cmdMRecall.Size = new System.Drawing.Size(40, 32);
			this.cmdMRecall.TabIndex = 3;
			this.cmdMRecall.Text = "MR";
			this.cmdMRecall.Click += new System.EventHandler(this.cmdMRecall_Click);
			// 
			// cmdFour
			// 
			this.cmdFour.Location = new System.Drawing.Point(8, 80);
			this.cmdFour.Name = "cmdFour";
			this.cmdFour.Size = new System.Drawing.Size(40, 32);
			this.cmdFour.TabIndex = 10;
			this.cmdFour.Text = "4";
			this.cmdFour.Click += new System.EventHandler(this.cmdFour_Click);
			// 
			// cmdThree
			// 
			this.cmdThree.Location = new System.Drawing.Point(104, 120);
			this.cmdThree.Name = "cmdThree";
			this.cmdThree.Size = new System.Drawing.Size(40, 32);
			this.cmdThree.TabIndex = 15;
			this.cmdThree.Text = "3";
			this.cmdThree.Click += new System.EventHandler(this.cmdThree_Click);
			// 
			// cmdClear
			// 
			this.cmdClear.Location = new System.Drawing.Point(8, 160);
			this.cmdClear.Name = "cmdClear";
			this.cmdClear.Size = new System.Drawing.Size(40, 32);
			this.cmdClear.TabIndex = 24;
			this.cmdClear.Text = "C";
			this.cmdClear.Click += new System.EventHandler(this.cmdClear_Click);
			// 
			// cmdSubtract
			// 
			this.cmdSubtract.Location = new System.Drawing.Point(152, 120);
			this.cmdSubtract.Name = "cmdSubtract";
			this.cmdSubtract.Size = new System.Drawing.Size(40, 32);
			this.cmdSubtract.TabIndex = 21;
			this.cmdSubtract.Text = "-";
			this.cmdSubtract.Click += new System.EventHandler(this.cmdSubtract_Click);
			// 
			// cmdMultiply
			// 
			this.cmdMultiply.Location = new System.Drawing.Point(152, 80);
			this.cmdMultiply.Name = "cmdMultiply";
			this.cmdMultiply.Size = new System.Drawing.Size(40, 32);
			this.cmdMultiply.TabIndex = 20;
			this.cmdMultiply.Text = "*";
			this.cmdMultiply.Click += new System.EventHandler(this.cmdMultiply_Click);
			// 
			// cmdZero
			// 
			this.cmdZero.Location = new System.Drawing.Point(56, 160);
			this.cmdZero.Name = "cmdZero";
			this.cmdZero.Size = new System.Drawing.Size(40, 32);
			this.cmdZero.TabIndex = 17;
			this.cmdZero.Text = "0";
			this.cmdZero.Click += new System.EventHandler(this.cmdZero_Click);
			// 
			// txtDisplay
			// 
			this.txtDisplay.Enabled = false;
			this.txtDisplay.Font = new System.Drawing.Font("Courier New", 7.8F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.txtDisplay.Location = new System.Drawing.Point(8, 8);
			this.txtDisplay.Name = "txtDisplay";
			this.txtDisplay.Size = new System.Drawing.Size(232, 22);
			this.txtDisplay.TabIndex = 0;
			this.txtDisplay.Text = "0";
			this.txtDisplay.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// cmdSeven
			// 
			this.cmdSeven.Location = new System.Drawing.Point(8, 40);
			this.cmdSeven.Name = "cmdSeven";
			this.cmdSeven.Size = new System.Drawing.Size(40, 32);
			this.cmdSeven.TabIndex = 7;
			this.cmdSeven.Text = "7";
			this.cmdSeven.Click += new System.EventHandler(this.cmdSeven_Click);
			// 
			// cmdFive
			// 
			this.cmdFive.Location = new System.Drawing.Point(56, 80);
			this.cmdFive.Name = "cmdFive";
			this.cmdFive.Size = new System.Drawing.Size(40, 32);
			this.cmdFive.TabIndex = 11;
			this.cmdFive.Text = "5";
			this.cmdFive.Click += new System.EventHandler(this.cmdFive_Click);
			// 
			// cmdMPlus
			// 
			this.cmdMPlus.Location = new System.Drawing.Point(200, 40);
			this.cmdMPlus.Name = "cmdMPlus";
			this.cmdMPlus.Size = new System.Drawing.Size(40, 32);
			this.cmdMPlus.TabIndex = 1;
			this.cmdMPlus.Text = "M+";
			this.cmdMPlus.Click += new System.EventHandler(this.cmdMPlus_Click);
			// 
			// cmdDivide
			// 
			this.cmdDivide.Location = new System.Drawing.Point(152, 40);
			this.cmdDivide.Name = "cmdDivide";
			this.cmdDivide.Size = new System.Drawing.Size(40, 32);
			this.cmdDivide.TabIndex = 19;
			this.cmdDivide.Text = "/";
			this.cmdDivide.Click += new System.EventHandler(this.cmdDivide_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 15);
			this.ClientSize = new System.Drawing.Size(250, 199);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.cmdClear,
																		  this.cmdExecute,
																		  this.cmdAdd,
																		  this.cmdSubtract,
																		  this.cmdMultiply,
																		  this.cmdDivide,
																		  this.cmdNegate,
																		  this.cmdZero,
																		  this.cmdThree,
																		  this.cmdTwo,
																		  this.cmdOne,
																		  this.cmdSix,
																		  this.cmdFive,
																		  this.cmdFour,
																		  this.cmdNine,
																		  this.cmdEight,
																		  this.cmdSeven,
																		  this.cmdMRecall,
																		  this.cmdMClr,
																		  this.cmdMPlus,
																		  this.txtDisplay});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Menu = this.mainMenu1;
			this.Name = "Form1";
			this.Text = "Calculator";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void cmdZero_Click(object sender, System.EventArgs e)
		{
			// Record the zero
			DisplayRegister(0);
		}

		private void cmdOne_Click(object sender, System.EventArgs e)
		{
			// Record the one
			DisplayRegister(1);
		}

		private void cmdTwo_Click(object sender, System.EventArgs e)
		{
			// Record the two
			DisplayRegister(2);
		}

		private void cmdThree_Click(object sender, System.EventArgs e)
		{
			// Record the three
			DisplayRegister(3);
		}

		private void cmdFour_Click(object sender, System.EventArgs e)
		{
			// Record the four
			DisplayRegister(4);
		}

		private void cmdFive_Click(object sender, System.EventArgs e)
		{
			// Record the five
			DisplayRegister(5);
		}

		private void cmdSix_Click(object sender, System.EventArgs e)
		{
			// Record the six
			DisplayRegister(6);
		}

		private void cmdSeven_Click(object sender, System.EventArgs e)
		{
			// Record the seven
			DisplayRegister(7);
		}

		private void cmdEight_Click(object sender, System.EventArgs e)
		{
			// Record the eight
			DisplayRegister(8);
		}

		private void cmdNine_Click(object sender, System.EventArgs e)
		{
			// Record the nine
			DisplayRegister(9);
		}

		private void cmdNegate_Click(object sender, System.EventArgs e)
		{
			long lTemp = 0;
			if ( m_eState == eState.ArgX )
			{
				// Negate
				lTemp -= Convert.ToInt32(m_strX,10);
				m_strX = Convert.ToString(lTemp,10);
			} // if
			else
			{
				// Negate
				if ( m_eAction != eAction.None )
				{
					lTemp -= Convert.ToInt32(m_strY,10);
					m_strY = Convert.ToString(lTemp,10);
				} // if
				else
				{
					lTemp -= m_lAccumulator;
					m_lAccumulator = lTemp;
				} // else
			} // else

			txtDisplay.Text = Convert.ToString(lTemp,10);
		}

		private void cmdDivide_Click(object sender, System.EventArgs e)
		{
			// Divide
			SetOp(eAction.Div);
		}

		private void cmdMultiply_Click(object sender, System.EventArgs e)
		{
			// Multiply
			SetOp(eAction.Mul);
		}

		private void cmdSubtract_Click(object sender, System.EventArgs e)
		{
			// Subtract
			SetOp(eAction.Sub);
		}

		private void cmdAdd_Click(object sender, System.EventArgs e)
		{
			// Add
			SetOp(eAction.Add);
		}

		private void cmdClear_Click(object sender, System.EventArgs e)
		{
			// Clear everything
			Clear();
		}

		private void cmdMPlus_Click(object sender, System.EventArgs e)
		{
			// Record the value
			if ( m_eState == eState.ArgX )
			{
				m_lMem = Convert.ToInt32(m_strX,10);
			} // if
			else
			{
				m_lMem = Convert.ToInt32(m_strY,10);
			} // else
		}

		private void cmdMClr_Click(object sender, System.EventArgs e)
		{
			m_lMem = 0;
		}

		private void cmdMRecall_Click(object sender, System.EventArgs e)
		{
			// Recall the value
			DisplayRegister(m_lMem);
		}

		private void cmdExecute_Click(object sender, System.EventArgs e)
		{
			if ((m_eState == eState.ArgY) &&
				(m_eAction != eAction.None))
			{
				// Invoke the function
				Invoke();
				m_eAction = eAction.None;
			} // if
		}

		private void SetOp(eAction action)
		{
			if ( m_eState == eState.ArgX )
			{
				if ( !m_bRegValid )
				{
					// Must enter a value for X
					txtDisplay.Text = "***Enter a number first!***";
				} // if
				else
				{
					// Shift focus to Y
					m_eState = eState.ArgY;
					m_eAction = action;
					m_bRegValid = false;
				} // else
			} // if
			else
			{
				// The state is such that we should take the
				// value of the accumulator and move it to
				// m_lX and use the contents of m_lY
				// for invocation
				m_strX = Convert.ToString(m_lAccumulator,10);
				m_strY = "";
				m_eAction = action;
				m_bRegValid = false;
			} // else
		}

		private void Clear()
		{
			// Clear everything
			m_eAction = eAction.None;
			m_eState = eState.ArgX;
			m_strX = m_strY = "";
			m_lAccumulator = 0;
			txtDisplay.Text = "0";
			m_bRegValid = false;
		}

		private void DisplayRegister(long lNum)
		{
			if ( m_eState == eState.ArgX )
			{
				m_strX += Convert.ToString(lNum,10);
				txtDisplay.Text = m_strX;
			} // if
			else
			{
				if ( m_eAction != eAction.None )
				{
					m_strY += Convert.ToString(lNum,10);
					txtDisplay.Text = m_strY;
				} // if
				else
				{
					m_strX = Convert.ToString(lNum,10);
					m_strY = "";
					m_eState = eState.ArgX;
					txtDisplay.Text = m_strX;
				} // else
			} // else
			m_bRegValid = true;
		}

		private bool Invoke()
		{
			Cursor.Current = Cursors.WaitCursor;
			bool bReturn = true;
			try
			{
				// Check for proxy creation if necessary
				if ( !m_bLocal )
				{
					// Check to see if proxy exists,
					// and if not, create one.
					if ( m_pxyCalc == null )
					{
						// Create one
						m_pxyCalc = new SimpleCalc();
					} // if
				} // if

				// Convert the registers
				long lX = Convert.ToInt32(m_strX,10);
				long lY = Convert.ToInt32(m_strY,10);

				// Invoke the method
				switch ( m_eAction )
				{
					case eAction.Add:
						// Add
						if ( m_bLocal )
						{
							// Local addition
							m_lAccumulator = lX + lY;
						} // if
						else
						{
							// Remote addition
							m_lAccumulator = m_pxyCalc.Add(lX,lY);
						};
						break;

					case eAction.Sub:
						// Subtract
						if ( m_bLocal )
						{
							// Local subtraction
							m_lAccumulator = lX - lY;
						} // if
						else
						{
							// Remote subtraction
							m_lAccumulator = m_pxyCalc.Subtract(lX,lY);
						};
						break;

					case eAction.Mul:
						// Multiply
						if ( m_bLocal )
						{
							// Local multiplication
							m_lAccumulator = lX * lY;
						} // if
						else
						{
							// Remote multiplication
							m_lAccumulator = m_pxyCalc.Multiply(lX,lY);
						};
						break;

					case eAction.Div:
						if ( lY != 0 )
						{
							// Divide
							if ( m_bLocal )
							{
								// Local division
								m_lAccumulator = lX / lY;
							} // if
							else
							{
								// Local division
								m_lAccumulator = m_pxyCalc.Divide(lX,lY);
							};
						} // if
						else
						{
							// Division by zero...
							Clear();
							txtDisplay.Text = "***Divide by zero error***";
						} // else
						break;

					default:
						m_lAccumulator = 0;
						break;

				} // switch

				// Display the accumulator
				txtDisplay.Text = Convert.ToString(m_lAccumulator,10);
			} // try
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message,
								"Calculator Error",
								MessageBoxButtons.OK,
								MessageBoxIcon.Error);
				bReturn = false;
			} // catch

			ResetCursor();
			return bReturn;
		}

		private void mnuLocal_Click(object sender, System.EventArgs e)
		{
			// Select the local functions for calculations
			mnuLocal.Checked = m_bLocal = true;
			mnuRemote.Checked = false;
		}

		private void mnuRemote_Click(object sender, System.EventArgs e)
		{
			// Select the Web Service for calculations
			mnuLocal.Checked = m_bLocal = false;
			mnuRemote.Checked = true;
		}

		private void mnuExit_Click(object sender, System.EventArgs e)
		{
			// Quit
			Application.Exit();
		}
	}
}
