Imports System
Imports VBAsyncClient.localhost

Public Class VBAsyncClient

    Public Shared Sub Main()
        ' Beginning test
        Console.WriteLine("Beginning asynchronous communications test...")

        ' Create instance of proxy
        Dim objHelloSvc As Service1 = New Service1()

        ' Make asynchronous call
        Dim acb As AsyncCallback = New AsyncCallback(AddressOf VBAsyncClient.Handler)
        objHelloSvc.BeginHelloWorld(acb, objHelloSvc)

        ' Simulate work...we'll wait for the user
        ' to press the <enter> key
        Console.ReadLine()

        ' Provide a response
        Console.WriteLine("The main subroutine is now terminating...")
    End Sub

    Public Shared Sub Handler(ByVal iar As IAsyncResult)
        ' Retrieve the result string
        Dim objHelloSvc As Service1 = iar.AsyncState

        Dim strResult As String = objHelloSvc.EndHelloWorld(iar)
        Console.WriteLine("The Web Service returned {0}", strResult)
    End Sub
End Class

